Error actualizar modulos  

 
Juan Pedro
 Juan Pedro
Usuario activo

Sigo con problemas para actualizar módulos conforme salen actualizaciones.
Por ejemplo:
- Actualizar el modulo 1click upgrade
Error!
Excepción emitida por el módulo autoupgrade en upgrade. Warning: Use of undefined constant MCRYPT_MODE_CBC - assumed 'MCRYPT_MODE_CBC' (this will throw an Error in a future version of PHP)

-O al actualizar el modulo de Busqueda por facetas
Error!
Excepción emitida por el módulo ps_facetedsearch en upgrade. Warning: Use of undefined constant MCRYPT_MODE_CBC - assumed 'MCRYPT_MODE_CBC' (this will throw an Error in a future version of PHP)

Como puedo solucionar esto sin tener que estar desinstalando modulos y volviendolos a instalar??

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 21/02/2019 11:28 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Juan Pedro.

Son avisos, no son errores, lo que te indica que esos módulos tienen constantes que no son soportadas en las versiones de PHP más recientes.

Veo que estás utilizando la versión 5.6 de PHP, modifica la versión de PHP que tienes instalada para ese dominio e instala una versión de la rama 7x por ejemplo 7.2

Puedes modificar la versión de PHP de tu cuenta de cPanel -> -> Software -> Configurar PHP, solo tienes que seleccionar la versión.

Te dejo enlace con información:
-> https://guias.webempresa.com/preguntas-frecuentes/cambiar-la-version-php/

Una vez modificada la versión de PHP, comprueba que todas las secciones de tu web carguen bien.

Si vieras que tienes problemas con alguna de las secciones, siempre puedes volver a la versión de PHP que tenias antes.

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 21/02/2019 12:24 pm

Cursos Gratuitos WordPress

Juan Pedro
 Juan Pedro
Usuario activo

He realizado el cambio a la versión 7.2 del cpanel tanto de forma predeterminada como para la web.
El problema persiste. He intentado la versión 7.3 pero el back office deja de funcionar

ResponderCitar
Respondido : 21/02/2019 12:35 pm
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Juan pedro.

Ok, descarga el módulo de 1click desde esta URL :
-> https://addons.prestashop.com/es/migracion-copias-de-seguridad/5496-.html

Accede a tu cuenta de cpanel -> Administrador de archivos -> modules y renombra la carpeta " autoupgrade "

.- Accede a prestashop e instala el modulo de actualizacion que te descargaste.

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 21/02/2019 12:54 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Por favor Iniciar Sesión o Registro